Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Followed these instructions to install s3fs on Amazon Linux.

It worked fine on one of my systems, however on a different system (following the same instructions) I am getting the following errors when running /bin/mount

[root@ip-10-99-1-35 lib64]# mount
mount: /lib64/libmount.so.1: version `MOUNT_2.21' not found (required by mount)
mount: /lib64/libmount.so.1: version `MOUNT_2.22' not found (required by mount)
mount: /lib64/libmount.so.1: version `MOUNT_2.20' not found (required by mount)

EDIT: I should mention, it was only getting one of the errors above (the 2.20), however, I tried installing the util-linux source package for versions v2.21, and v2.22 when I started running into problems.

Running ldd on mount, I get this

[root@ip-10-99-1-35 lib64]# ldd /bin/mount
/bin/mount: /lib64/libmount.so.1: version `MOUNT_2.21' not found (required by /bin/mount)
/bin/mount: /lib64/libmount.so.1: version `MOUNT_2.22' not found (required by /bin/mount)
/bin/mount: /lib64/libmount.so.1: version `MOUNT_2.20' not found (required by /bin/mount)
    linux-vdso.so.1 =>  (0x00007fff507ff000)
    libmount.so.1 => /lib64/libmount.so.1 (0x00007f5e9331a000)
    libblkid.so.1 => /lib64/libblkid.so.1 (0x00007f5e930f9000)
    libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f5e92ef4000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f5e92b62000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f5e93533000)

The appropriate files in /lib64

lrwxrwxrwx 1 root root     17 Jul 30 15:25 /lib64/libmount.so.1 -> libmount.so.1.1.0
-rwxr-xr-x 1 root root  61728 Jul 28  2011 /lib64/libmount.so.1.1.0

Distro Info

[ec2-user@ip-10-99-1-35 ~]$ cat /etc/issue
Amazon Linux AMI release 2012.03
Kernel \r on an \m

[ec2-user@ip-10-99-1-35 ~]$ uname -a
Linux ip-10-99-1-35 3.2.20-1.29.6.amzn1.x86_64 #1 SMP Tue Jun 12 01:19:28 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
share|improve this question
    
And which distribution is this? –  Michael Hampton Jul 30 '12 at 16:09
    
Its Amazon Linux, I will put the uname/issue above –  Mike Curry Jul 30 '12 at 16:29

1 Answer 1

up vote 0 down vote accepted

I solved the problem be reinstalling the util-linux package.

yum reinstall util-linux
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.